



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Gradle – Spring 4 MVC Hello World Example</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Gradle – Spring 4 MVC Hello World Example</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 17:20:24 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>In this tutorial, we will show you a Gradle + Spring 4 MVC, Hello World Example (JSP view), XML configuration.</p>
<p>Technologies used :</p>
<ul><li>Gradle 2.0</li>
<li>Spring 4.1.6.RELEASE</li>
<li>Eclipse 4.4</li>
<li>JDK 1.7</li>
<li>Logback 1.1.3</li>
<li>Boostrap 3</li></ul>
<h2>1. Project Structure</h2>
<p>Download the project source code and review the project folder structure :</p>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/496473/201508/241607497493076.png"></p>
<h2>2. Gradle Build</h2>
<h3>2.1 Review the <code>build.gradle</code> file, this should be self-explanatory.</h3>
<h4>build.gradle</h4>
<pre class="prettyprint linenums"><code>apply plugin: 'java'<br />
apply plugin: 'war'<br />
apply plugin: 'eclipse-wtp'<br />
apply plugin: 'jetty'

// JDK 7<br />
sourceCompatibility = 1.7<br />
targetCompatibility = 1.7

repositories {<br />
    mavenLocal()<br />
    mavenCentral()<br />
}

dependencies {<br />
	compile 'ch.qos.logback:logback-classic:1.1.3'<br />
	compile 'org.springframework:spring-webmvc:4.1.6.RELEASE'<br />
	compile 'javax.servlet:jstl:1.2'<br />
}

// Embeded Jetty for testing<br />
jettyRun{<br />
	contextPath = &quot;spring4&quot;<br />
	httpPort = 8080<br />
}

jettyRunWar{<br />
	contextPath = &quot;spring4&quot;<br />
	httpPort = 8080<br />
}

//For Eclipse IDE only<br />
eclipse {

  wtp {<br />
    component {

      //define context path, default to project folder name<br />
      contextPath = 'spring4'

    }

  }<br />
}<br />
</code></pre>
<h3>2.2 To make this project supports Eclipse IDE, issues gradle eclipse :</h3>
<pre class="prettyprint linenums"><code>your-project$ gradle eclipse<br />
</code></pre>
<h2>3. Spring MVC</h2>
<p>Spring MVC related stuff.</p>
<h3>3.1 Spring Controller – <code>@Controller</code> and <code>@RequestMapping</code>.</h3>
<h3>WelcomeController.java</h3>
<pre class="prettyprint linenums"><code>package com.mkyong.helloworld.web;

import java.util.Map;<br />
import org.slf4j.Logger;<br />
import org.slf4j.LoggerFactory;<br />
import org.springframework.beans.factory.annotation.Autowired;<br />
import org.springframework.stereotype.Controller;<br />
import org.springframework.web.bind.annotation.PathVariable;<br />
import org.springframework.web.bind.annotation.RequestMapping;<br />
import org.springframework.web.bind.annotation.RequestMethod;<br />
import org.springframework.web.servlet.ModelAndView;

import com.mkyong.helloworld.service.HelloWorldService;

@Controller<br />
public class WelcomeController {

	private final Logger logger = LoggerFactory.getLogger(WelcomeController.class);<br />
	private final HelloWorldService helloWorldService;

	@Autowired<br />
	public WelcomeController(HelloWorldService helloWorldService) {<br />
		this.helloWorldService = helloWorldService;<br />
	}

	@RequestMapping(value = &quot;/&quot;, method = RequestMethod.GET)<br />
	public String index(Map&lt;String, Object&gt; model) {

		logger.debug(&quot;index() is executed!&quot;);

		model.put(&quot;title&quot;, helloWorldService.getTitle(&quot;&quot;));<br />
		model.put(&quot;msg&quot;, helloWorldService.getDesc());

		return &quot;index&quot;;<br />
	}

	@RequestMapping(value = &quot;/hello/{name:.+}&quot;, method = RequestMethod.GET)<br />
	public ModelAndView hello(@PathVariable(&quot;name&quot;) String name) {

		logger.debug(&quot;hello() is executed - $name {}&quot;, name);

		ModelAndView model = new ModelAndView();<br />
		model.setViewName(&quot;index&quot;);

		model.addObject(&quot;title&quot;, helloWorldService.getTitle(name));<br />
		model.addObject(&quot;msg&quot;, helloWorldService.getDesc());

		return model;

	}

}<br />
</code></pre>
<h3>3.2 A service to generate a message.</h3>
<h4>HelloWorldService.java</h4>
<pre class="prettyprint linenums"><code>package com.mkyong.helloworld.service;

import org.slf4j.Logger;<br />
import org.slf4j.LoggerFactory;<br />
import org.springframework.stereotype.Service;<br />
import org.springframework.util.StringUtils;

@Service<br />
public class HelloWorldService {

	private static final Logger logger = LoggerFactory.getLogger(HelloWorldService.class);

	public String getDesc() {

		logger.debug(&quot;getDesc() is executed!&quot;);

		return &quot;Gradle + Spring MVC Hello World Example&quot;;

	}

	public String getTitle(String name) {

		logger.debug(&quot;getTitle() is executed! $name : {}&quot;, name);

		if(StringUtils.isEmpty(name)){<br />
			return &quot;Hello World&quot;;<br />
		}else{<br />
			return &quot;Hello &quot; + name;<br />
		}

	}

}<br />
</code></pre>
<h3>3.3 Views – JSP + JSTL + bootstrap. A simple JSP page to display the model, and includes the static resources like css and js.</h3>
<h4>/WEB-INF/views/jsp/index.jsp</h4>
<pre class="prettyprint linenums"><code>&lt;%@ taglib prefix=&quot;spring&quot; uri=&quot;http://www.springframework.org/tags&quot;%&gt;<br />
&lt;%@ taglib prefix=&quot;c&quot; uri=&quot;http://java.sun.com/jsp/jstl/core&quot;%&gt;<br />
&lt;!DOCTYPE html&gt;<br />
&lt;html lang=&quot;en&quot;&gt;<br />
&lt;head&gt;

&lt;spring:url value=&quot;/resources/core/css/hello.css&quot; var=&quot;coreCss&quot; /&gt;<br />
&lt;spring:url value=&quot;/resources/core/css/bootstrap.min.css&quot; var=&quot;bootstrapCss&quot; /&gt;<br />
&lt;link href=&quot;${bootstrapCss}&quot; rel=&quot;stylesheet&quot; /&gt;<br />
&lt;link href=&quot;${coreCss}&quot; rel=&quot;stylesheet&quot; /&gt;<br />
&lt;/head&gt;

&lt;nav class=&quot;navbar navbar-inverse navbar-fixed-top&quot;&gt;<br />
  &lt;div class=&quot;container&quot;&gt;<br />
	&lt;div class=&quot;navbar-header&quot;&gt;<br />
		&lt;a class=&quot;navbar-brand&quot; href=&quot;#&quot;&gt;Project Name&lt;/a&gt;<br />
	&lt;/div&gt;<br />
  &lt;/div&gt;<br />
&lt;/nav&gt;

&lt;div class=&quot;jumbotron&quot;&gt;<br />
  &lt;div class=&quot;container&quot;&gt;<br />
	&lt;h1&gt;${title}&lt;/h1&gt;<br />
	&lt;p&gt;<br />
		&lt;c:if test=&quot;${not empty msg}&quot;&gt;<br />
			Hello ${msg}<br />
		&lt;/c:if&gt;

		&lt;c:if test=&quot;${empty msg}&quot;&gt;<br />
			Welcome Welcome!<br />
		&lt;/c:if&gt;<br />
        &lt;/p&gt;<br />
        &lt;p&gt;<br />
		&lt;a class=&quot;btn btn-primary btn-lg&quot;<br />
                    href=&quot;#&quot; role=&quot;button&quot;&gt;Learn more&lt;/a&gt;<br />
	&lt;/p&gt;<br />
	&lt;/div&gt;<br />
&lt;/div&gt;

&lt;div class=&quot;container&quot;&gt;

  &lt;div class=&quot;row&quot;&gt;<br />
	&lt;div class=&quot;col-md-4&quot;&gt;<br />
		&lt;h2&gt;Heading&lt;/h2&gt;<br />
		&lt;p&gt;ABC&lt;/p&gt;<br />
		&lt;p&gt;<br />
			&lt;a class=&quot;btn btn-default&quot; href=&quot;#&quot; role=&quot;button&quot;&gt;View details&lt;/a&gt;<br />
		&lt;/p&gt;<br />
	&lt;/div&gt;<br />
	&lt;div class=&quot;col-md-4&quot;&gt;<br />
		&lt;h2&gt;Heading&lt;/h2&gt;<br />
		&lt;p&gt;ABC&lt;/p&gt;<br />
		&lt;p&gt;<br />
			&lt;a class=&quot;btn btn-default&quot; href=&quot;#&quot; role=&quot;button&quot;&gt;View details&lt;/a&gt;<br />
		&lt;/p&gt;<br />
	&lt;/div&gt;<br />
	&lt;div class=&quot;col-md-4&quot;&gt;<br />
		&lt;h2&gt;Heading&lt;/h2&gt;<br />
		&lt;p&gt;ABC&lt;/p&gt;<br />
		&lt;p&gt;<br />
			&lt;a class=&quot;btn btn-default&quot; href=&quot;#&quot; role=&quot;button&quot;&gt;View details&lt;/a&gt;<br />
		&lt;/p&gt;<br />
	&lt;/div&gt;<br />
  &lt;/div&gt;

  &lt;hr /&gt;<br />
  &lt;footer&gt;<br />
	&lt;p&gt;© Mkyong.com 2015&lt;/p&gt;<br />
  &lt;/footer&gt;<br />
&lt;/div&gt;

&lt;spring:url value=&quot;/resources/core/css/hello.js&quot; var=&quot;coreJs&quot; /&gt;<br />
&lt;spring:url value=&quot;/resources/core/css/bootstrap.min.js&quot; var=&quot;bootstrapJs&quot; /&gt;

&lt;script src=&quot;${coreJs}&quot;&gt;&lt;/script&gt;<br />
&lt;script src=&quot;${bootstrapJs}&quot;&gt;&lt;/script&gt;<br />
&lt;script src=&quot;https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js&quot;&gt;&lt;/script&gt;

&lt;/body&gt;<br />
&lt;/html&gt;<br />
</code></pre>
<h3>3.4 Logging – Send all logs to console.</h3>
<h4>logback.xml</h4>
<pre class="prettyprint linenums"><code>&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;<br />
&lt;configuration&gt;

	&lt;appender name=&quot;STDOUT&quot; class=&quot;ch.qos.logback.core.ConsoleAppender&quot;&gt;<br />
	  &lt;layout class=&quot;ch.qos.logback.classic.PatternLayout&quot;&gt;

		&lt;Pattern&gt;<br />
		%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n<br />
		&lt;/Pattern&gt;

	  &lt;/layout&gt;<br />
	&lt;/appender&gt;

	&lt;logger name=&quot;org.springframework&quot; level=&quot;debug&quot;<br />
                additivity=&quot;false&quot;&gt;<br />
		&lt;appender-ref ref=&quot;STDOUT&quot; /&gt;<br />
	&lt;/logger&gt;

	&lt;logger name=&quot;com.mkyong.helloworld&quot; level=&quot;debug&quot;<br />
                additivity=&quot;false&quot;&gt;<br />
		&lt;appender-ref ref=&quot;STDOUT&quot; /&gt;<br />
	&lt;/logger&gt;

	&lt;root level=&quot;debug&quot;&gt;<br />
		&lt;appender-ref ref=&quot;STDOUT&quot; /&gt;<br />
	&lt;/root&gt;

&lt;/configuration&gt;<br />
</code></pre>
<h2>4. Spring XML Configuration</h2>
<p>Spring XML configuration files.</p>
<h3>4.1 Spring root context.</h3>
<h4>spring-core-config.xml</h4>
<pre class="prettyprint linenums"><code>&lt;beans xmlns=&quot;http://www.springframework.org/schema/beans&quot;<br />
	xmlns:context=&quot;http://www.springframework.org/schema/context&quot;<br />
	xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;<br />
	xmlns:mvc=&quot;http://www.springframework.org/schema/mvc&quot;<br />
	xsi:schemaLocation=&quot;<br />
        http://www.springframework.org/schema/beans<br />
        http://www.springframework.org/schema/beans/spring-beans.xsd<br />
        http://www.springframework.org/schema/context<br />
        http://www.springframework.org/schema/context/spring-context.xsd &quot;&gt;

	&lt;context:component-scan base-package=&quot;com.mkyong.helloworld.service&quot; /&gt;

&lt;/beans&gt;<br />
</code></pre>
<h3>4.2 Spring web or servlet context.</h3>
<h4>spring-web-config.xml</h4>
<pre class="prettyprint linenums"><code>&lt;beans xmlns=&quot;http://www.springframework.org/schema/beans&quot;<br />
	xmlns:context=&quot;http://www.springframework.org/schema/context&quot;<br />
	xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;<br />
	xmlns:mvc=&quot;http://www.springframework.org/schema/mvc&quot;<br />
	xsi:schemaLocation=&quot;<br />
        http://www.springframework.org/schema/beans<br />
        http://www.springframework.org/schema/beans/spring-beans.xsd<br />
        http://www.springframework.org/schema/mvc<br />
        http://www.springframework.org/schema/mvc/spring-mvc.xsd<br />
        http://www.springframework.org/schema/context<br />
        http://www.springframework.org/schema/context/spring-context.xsd &quot;&gt;

	&lt;context:component-scan base-package=&quot;com.mkyong.helloworld.web&quot; /&gt;

	&lt;bean class=&quot;org.springframework.web.servlet.view.InternalResourceViewResolver&quot;&gt;<br />
		&lt;property name=&quot;viewClass&quot; value=&quot;org.springframework.web.servlet.view.JstlView&quot;/&gt;<br />
		&lt;property name=&quot;prefix&quot; value=&quot;/WEB-INF/views/jsp/&quot; /&gt;<br />
		&lt;property name=&quot;suffix&quot; value=&quot;.jsp&quot; /&gt;<br />
	&lt;/bean&gt;

	&lt;mvc:resources mapping=&quot;/resources/**&quot; location=&quot;/resources/&quot; /&gt;

	&lt;mvc:annotation-driven /&gt;

&lt;/beans&gt;<br />
</code></pre>
<h3>4.3 Classic web.xml</h3>
<h4>web.xml</h4>
<pre class="prettyprint linenums"><code>&lt;web-app xmlns=&quot;http://java.sun.com/xml/ns/javaee&quot;<br />
	xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;<br />
	xsi:schemaLocation=&quot;http://java.sun.com/xml/ns/javaee<br />
	http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd&quot;<br />
	version=&quot;2.5&quot;&gt;

	&lt;display-name&gt;Gradle + Spring MVC Hello World + XML&lt;/display-name&gt;<br />
	&lt;description&gt;Spring MVC web application&lt;/description&gt;

	&lt;!-- For web context --&gt;<br />
	&lt;servlet&gt;<br />
		&lt;servlet-name&gt;hello-dispatcher&lt;/servlet-name&gt;<br />
		&lt;servlet-class&gt;<br />
                        org.springframework.web.servlet.DispatcherServlet<br />
                &lt;/servlet-class&gt;<br />
		&lt;init-param&gt;<br />
			&lt;param-name&gt;contextConfigLocation&lt;/param-name&gt;<br />
			&lt;param-value&gt;/WEB-INF/spring-mvc-config.xml&lt;/param-value&gt;<br />
		&lt;/init-param&gt;<br />
		&lt;load-on-startup&gt;1&lt;/load-on-startup&gt;<br />
	&lt;/servlet&gt;

	&lt;servlet-mapping&gt;<br />
		&lt;servlet-name&gt;hello-dispatcher&lt;/servlet-name&gt;<br />
		&lt;url-pattern&gt;/&lt;/url-pattern&gt;<br />
	&lt;/servlet-mapping&gt;

	&lt;!-- For root context --&gt;<br />
	&lt;listener&gt;<br />
		&lt;listener-class&gt;<br />
                  org.springframework.web.context.ContextLoaderListener<br />
                &lt;/listener-class&gt;<br />
	&lt;/listener&gt;

	&lt;context-param&gt;<br />
		&lt;param-name&gt;contextConfigLocation&lt;/param-name&gt;<br />
		&lt;param-value&gt;/WEB-INF/spring-core-config.xml&lt;/param-value&gt;<br />
	&lt;/context-param&gt;

&lt;/web-app&gt;<br />
</code></pre>
<h2>5. Demo</h2>
<h3>5.1 The gradle.build file is defined an embedded Jetty container. Issues gradle jettyRun to start the project.</h3>
<p>Terminal</p>
<pre class="prettyprint linenums"><code>your-project$ gradle jettyRun

:compileJava<br />
:processResources<br />
:classes<br />
:jettyRun<br />
//...SLF4j logging

&gt; Building 75% &gt; :jettyRun &gt; Running at http://localhost:8080/spring4<br />
</code></pre>
<h3>5.2 <a href="http://localhost:8080/spring4/" rel="external nofollow noreferrer">http://localhost:8080/spring4/</a></h3>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/496473/201508/241611568274860.png"></p>
<h3>5.3 <a href="http://localhost:8080/spring4/hello/mkyong.com" rel="external nofollow noreferrer">http://localhost:8080/spring4/hello/mkyong.com</a></h3>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/496473/201508/241612370465749.png"></p>
<h2>6. WAR File</h2>
<p>To create a WAR file for deployment :<br /><br />
Terminal</p>
<pre class="prettyprint linenums"><code>your-project$ gradle war<br />
</code></pre>
<p>A WAR file will be created in <code>project\build\libs</code> folder.</p>
<pre class="prettyprint linenums"><code>${Project}\build\libs\spring-web-gradle-xml.war<br />
</code></pre>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/oqvglxqx.html">五个典型的 JavaScript 面试题</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdpod7q.html">express细节点注意</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy4xkjq.html">nginx跨域配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv77zzq.html">跟我一起写 Makefile</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zlw11q.html">WP老杨解迷：发布包多少大小合适</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qnz652q.html">DIV&plus;CSS制作二级横向弹出菜单，略简单</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qx05ndq.html">微信自定义菜单说php json&lowbar;encode不转义中文汉字的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4yp6rnq.html">uC&sol;OS-II之系统函数20160526</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mgn6eq.html">【BZOJ】【1385】【Baltic2000】Division expression</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zzj5n9.html">linux 流量监控 ---iptraf的安装及使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z734k9.html">C&plus;&plus;矩阵处理库--Eigen初步使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy147wxq.html">Canvas贝塞尔二级曲线</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k4mw49.html">找到你在网页中缓存起来的flash文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kdyr69.html">《程序设计语言&amp;mdash&semi;&amp;mdash&semi;实践之路&lpar;英文第三版&rpar;》【PDF】下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pk5d38.html">java网络编程（2）&mdash;&mdash;UDP与TCP</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1l57dq.html">Jetty添加Filter过滤器</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m5jwn8.html">python3获取网页天气预报信息并打印</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy13r6mq.html">63&period; Unique Paths II&lpar;中等&comma; 能独立做出来的DP类第二个题&Hat;&Hat;&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzyg5w8.html">python基础--&amp;gt&semi;流程控制--&amp;gt&semi;分支结构--&amp;gt&semi;单项分支--&amp;gt&semi;双向分支</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyj17gq.html">laravel学习历程</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8e1jv4e9.html">Storm集群的搭建</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1zl3w29.html">HDU 4717 The Moving Points&lpar;三分&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxn573v8.html">tomcat web&period;xml 配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1vx3r9.html">10 Useful du &lpar;Disk Usage&rpar; Commands to Find Disk Usage of Files and Directories</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rd1eoe8.html">poj1088</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k120d39.html">当前，思路&plus;进展&plus;idea&plus;下一步要做的工作</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e1we6j9.html">Java &lbrack;Leetcode 94&rsqb;Binary Tree Inorder Traversal</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pjgwjz9.html">ECSHOP seo修改建议</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rd75x78.html">hdu 2870&lpar;dp求最大子矩阵&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8oky4xl9.html">webdriver&lpar;python&rpar;学习笔记四&mdash;&mdash;定位一组元素</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
